<?php $__env->startSection('style'); ?>
<link href="<?php echo e(asset('admin/plugins/tables/css/datatable/dataTables.bootstrap4.min.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<h6 class="card-title"><?php echo e(__('Service List')); ?> <button type="button" class="btn btn-primary float-right" data-toggle="modal" data-target="#basicModal"><?php echo e(__('Service Create')); ?></button></h6>

<!-- Modal -->
<div class="modal fade" id="basicModal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title"><?php echo e(__('Service Create')); ?></h5>
				<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<form method="post" action="<?php echo e(route('admin.service.store')); ?>" enctype="multipart/form-data">
					<?php echo csrf_field(); ?>
					<div class="form-group">
						<label for="icon"><?php echo e(__('Icon')); ?></label>
						<input type="file" name="file" id="icon"  class="form-control" required="">
					</div>
					<div class="form-group">
						<label for="title"><?php echo e(__('Title')); ?></label>
						<input type="text" name="title" class="form-control" required="">
					</div>
					<div class="form-group">
						<label for="description"><?php echo e(__('Description')); ?></label>
						<textarea  name="description" class="form-control" id="description" required=""></textarea>
						</div>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
						<button type="submit" class="btn btn-primary">Save</button>
					</form>
				</div>
			</div>
		</div>
	</div>
	<?php if($errors->any()): ?>
	<div class="alert alert-danger">
		<ul>
			<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<li><?php echo e($error); ?></li>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		</ul>
	</div>
	<?php endif; ?>
	<div class="table-responsive">
		<table class="table table-striped table-bordered zero-configuration text-center">
			<thead>
				<tr>
					<th>#</th>
					<th>Icon</th>
					<th>Service Name</th>
					<th>Action</th>

				</tr>
			</thead>
			<tbody>
				<?php $__currentLoopData = App\Service::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				<tr>
					<td><?php echo e($key+1); ?></td>
					<td><img src="<?php echo e(asset($service->icon)); ?>" class="icon"></td>
					<td><?php echo e($service->title); ?></td>


					<td>
						<button type="button" class="btn btn-sm btn-success text-white" data-toggle="modal" data-target="#basicModal<?php echo e($key); ?>"><i class="fa fa-edit"></i> </button>
						<a href="<?php echo e(route('admin.services.delete',$service->id)); ?>" class="btn btn-sm btn-danger" id="delete"><i class="fa fa-trash"></i></a>
					</td>

				</tr>
				<div class="modal fade" id="basicModal<?php echo e($key); ?>">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title"><?php echo e(__('Edit Service')); ?></h5>
								<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form method="post" action="<?php echo e(route('admin.service.update',$service->id)); ?>" enctype="multipart/form-data">
									<?php echo csrf_field(); ?>
									<?php echo method_field('PUT'); ?>
									<div class="form-group">
										<label for="icon"><?php echo e(__('Icon')); ?></label>
										<input type="file" name="file" id="icon"  class="form-control">
									</div>
									<div class="form-group">
										<label for="title"><?php echo e(__('Title')); ?></label>
										<input type="text" name="title" class="form-control" required="" value="<?php echo e($service->title); ?>">
									</div>
									<div class="form-group">
										<label for="description"><?php echo e(__('Description')); ?></label>
										<textarea  name="description" class="form-control" id="description" required=""><?php echo e($service->description); ?></textarea>
										</div>

									</div>
									<div class="modal-footer">
										<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
										<button type="submit" class="btn btn-primary">Save Changes</button>
									</form>
								</div>
							</div>
						</div>
					</div>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</tbody>
			</table>
		</div>


		<?php $__env->stopSection(); ?>

		<?php $__env->startSection('script'); ?>
		<script src="<?php echo e(asset('admin/plugins/tables/js/jquery.dataTables.min.js')); ?>"></script>
		<script src="<?php echo e(asset('admin/plugins/tables/js/datatable/dataTables.bootstrap4.min.js')); ?>"></script>
		<script src="<?php echo e(asset('admin/plugins/tables/js/datatable-init/datatable-basic.min.js')); ?>"></script>
		<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Chatbot\resources\views/admin/service.blade.php ENDPATH**/ ?>