<?php $__env->startSection('style'); ?>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>

<?php if($errors->any()): ?>
    <div class="alert alert-danger">
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>
<h4 class="text-primary"><?php echo e(__('General Settings')); ?></h4>
<form action="<?php echo e(route('admin.settings.store')); ?>" method="POST" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="form-group">
        <label for="logo"><?php echo e(__('logo')); ?></label>
       <input type="file" id="logo" name="logo" class="form-control">
    </div>
    <div class="form-group">
        <label for="favicon"><?php echo e(__('Favicon')); ?></label>
       <input type="file" id="favicon" name="favicon" class="form-control">
    </div>

    <div class="form-group">
        <label for="favicon"><?php echo e(__('Hero Image')); ?></label>
       <input type="file" id="favicon" name="home_img" class="form-control">
    </div>

    <div class="form-group">
        <label for="site_name"><?php echo e(__('Site Name')); ?></label>
        <input type="text" name="site_name" id="site_name" class="form-control"  placeholder="Site Name" value="<?php echo e($info->site_name); ?>"> 
    </div>
    <div class="form-group">
        <label for="hire_link"><?php echo e(__('Hire Me Url')); ?></label>
        <input type="text" name="hire_link" id="hire_link" class="form-control"  placeholder="Hire Link" value="<?php echo e($info->hire_link); ?>"> 
    </div>
    <div class="form-group">
        <label for="lang"><?php echo e(__('Set Default Language')); ?></label>
        <?php
            $setting=App\Setting::first();
        ?>
        <select class="form-control" id="lang" name="lang">
            <option value="en" <?php if($setting->lang=='en'): ?> selected="" <?php endif; ?>>English</option>
            <option value="bn" <?php if($setting->lang=='bn'): ?> selected="" <?php endif; ?>>Bangla</option>
            <option value="pt" <?php if($setting->lang=='pt'): ?> selected="" <?php endif; ?>>Portuguese</option>
            <option value="hi" <?php if($setting->lang=='hi'): ?> selected="" <?php endif; ?>>Hindi</option>
            <option value="ml" <?php if($setting->lang=='ml'): ?> selected="" <?php endif; ?>>Malayalam</option>
            <option value="custom" <?php if($setting->lang=='custom'): ?> selected="" <?php endif; ?>>Custom</option>
        </select>
    </div>

	<div class="form-group">
        <label for="mailchimp_api_key"><?php echo e(__('MailChimp Api Key')); ?></label>
        <input type="text" name="mailchimp_api_key" id="mailchimp_api_key" class="form-control"  placeholder="MailChimp API Key" value="<?php echo e($info->mailchimp_api_key); ?>"> 
    </div>
    <div class="form-group">
        <label for="mailchimp_list_id"><?php echo e(__('MailChimp List Id')); ?></label>
        <input type="text" name="mailchimp_list_id" id="mailchimp_list_id" class="form-control"  placeholder="MailChimp List Id" value="<?php echo e($info->mailchimp_list_id); ?>"> 
    </div>
    
    

    <div class="form-group">
        <label for="service_description"><?php echo e(__('Service description')); ?></label>
        <textarea  name="service_description" id="service_description" class="form-control"   ><?php echo e($info->service_description); ?> </textarea>
     </div>
     <div class="form-group">
        <label for="portfolio_description"><?php echo e(__('Portfolio Description')); ?></label>
        <textarea  name="portfolio_description" id="portfolio_description" class="form-control"   ><?php echo e($info->portfolio_description); ?> </textarea>
     </div>
     <div class="form-group">
        <label for="subscribe_description"><?php echo e(__('Subscribe Description')); ?></label>
        <textarea  name="subscribe_description" id="subscribe_description" class="form-control"   ><?php echo e($info->subscribe_description); ?> </textarea>
     </div>
     <div class="form-group">
        <label for="contact_description"><?php echo e(__('Contact Description')); ?></label>
        <textarea  name="contact_description" id="subscribe_description" class="form-control"   ><?php echo e($info->contact_description); ?> </textarea>
     </div>

    


  
    <div class="form-group">
        <button type="submit" class="btn btn-info"><?php echo e(__('Update')); ?></button>
    </div>
</form>



<h4 class="text-primary"><?php echo e(__('Contact Details')); ?></h4>
<form method="post" action="<?php echo e(route('admin.contact.store')); ?>">
      <?php echo csrf_field(); ?>
    <div class="form-group">
        <label for="mobile"><?php echo e(__('Mobile No')); ?></label>
        <input type="text" name="phone" id="mobile" class="form-control"  placeholder="Phone Number" value="<?php echo e($contact->phone); ?>"> 
    </div>
    <div class="form-group">
        <label for="email"><?php echo e(__('Email Address')); ?></label>
        <input type="text" name="email" id="email" class="form-control"  placeholder="Phone Number" value="<?php echo e($contact->email); ?>"> 
    </div>
    <div class="form-group">
        <label for="address"><?php echo e(__('Address')); ?></label>
        <input type="text" name="address" id="address" class="form-control"  placeholder="Address" value="<?php echo e($contact->address); ?>"> 
    </div>
    <div class="form-group">
        <button type="submit" class="btn btn-info"><?php echo e(__('Update')); ?></button>
    </div>
</form>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Chatbot\script\resources\views/admin/settings/site_settings.blade.php ENDPATH**/ ?>