<?php $__env->startSection('style'); ?>
<link href="<?php echo e(asset('admin/plugins/tables/css/datatable/dataTables.bootstrap4.min.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<h6 class="card-title">Skill List <button type="button" class="btn btn-primary float-right" data-toggle="modal" data-target="#basicModal">Create Skill</button></h6>

<!-- Modal -->
<div class="modal fade" id="basicModal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Create Skill</h5>
				<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<form method="post" action="<?php echo e(route('admin.skill.store')); ?>">
					<?php echo csrf_field(); ?>
					<div class="form-group">
						<label class="name">Skill Name</label>
						<input type="text" name="name" class="form-control" required="">
					</div>
					<div class="form-group">
						<label class="percent">Percent</label>
						<input type="number" name="percent" class="form-control" required="">
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
					<button type="submit" class="btn btn-primary">Save</button>
				</form>
			</div>
		</div>
	</div>
</div>

<div class="table-responsive">
	<table class="table table-striped table-bordered zero-configuration text-center">
		<thead>
			<tr>
				<th>#</th>
				<th>Name</th>
				<th>Percent</th>
				<th>Action</th>
				
			</tr>
		</thead>
		<tbody>
			<?php $__currentLoopData = App\Skill::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $skill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<tr>
				<td><?php echo e($key+1); ?></td>
				<td><?php echo e($skill->name); ?></td>
				<td><span class="label gradient-1 btn-rounded"><?php echo e($skill->percent); ?>%</span></td>
				
				<td>
					<button type="button" class="btn btn-sm btn-success text-white" data-toggle="modal" data-target="#basicModal<?php echo e($key); ?>"><i class="fa fa-edit"></i> </button>
					<a href="<?php echo e(route('admin.skills.delete',$skill->id)); ?>" class="btn btn-sm btn-danger" id="delete"><i class="fa fa-trash"></i></a>
				</td>
				
			</tr>
			<div class="modal fade" id="basicModal<?php echo e($key); ?>">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title">Edit Skill</h5>
							<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<form method="post" action="<?php echo e(route('admin.skill.update',$skill->id)); ?>">
								<?php echo csrf_field(); ?>
								 <?php echo method_field('PUT'); ?>
								<div class="form-group">
									<label class="name">Skill Name</label>
									<input type="text" name="name" class="form-control" required="" value="<?php echo e($skill->name); ?>">
								</div>
								<div class="form-group">
									<label class="percent">Percent</label>
									<input type="number" name="percent" class="form-control" required="" value="<?php echo e($skill->percent); ?>">
								</div>
							</div>
							<div class="modal-footer">
								<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
								<button type="submit" class="btn btn-primary">Save Changes</button>
							</form>
						</div>
					</div>
				</div>
			</div>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		</tbody>
	</table>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('admin/plugins/tables/js/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/tables/js/datatable/dataTables.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/tables/js/datatable-init/datatable-basic.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Chatbot\script\resources\views/admin/skill.blade.php ENDPATH**/ ?>