<?php
$siteInfo=App\Setting::first();
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title><?php echo e(config('app.name')); ?> | <?php echo e(Request::segment(2)); ?></title>
    <!-- Favicon icon -->
    <link rel="icon" type="<?php echo e(asset($siteInfo->favicon)); ?>" sizes="16x16" href="<?php echo e(asset($siteInfo->favicon)); ?>">
    <?php echo $__env->yieldContent('style'); ?>
    <!-- Custom Stylesheet -->
    <link href="<?php echo e(asset('admin/css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('admin/css/toastr.min.css')); ?>" rel="stylesheet">
   
</head>

<body>

    <!--*******************
        Preloader start
        ********************-->
        <div id="preloader">
            <div class="loader">
                <svg class="circular" viewBox="25 25 50 50">
                    <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="3" stroke-miterlimit="10" />
                </svg>
            </div>
        </div>
    <!--*******************
        Preloader end
        ********************-->


    <!--**********************************
        Main wrapper start
        ***********************************-->
        <div id="main-wrapper">

        <!--**********************************
            Nav header start
            ***********************************-->
            <div class="nav-header">
                <div class="brand-logo">
                    <a href="<?php echo e(route('admin.dashboard')); ?>" class="text-white ">
                        <b class="logo-abbr text-left"><?php echo e(\Illuminate\Support\Str::limit(config('app.name'), 1,' ')); ?> </b>
                        <span class="logo-compact"> <?php echo e(\Illuminate\Support\Str::limit(config('app.name'), 1,' ')); ?></span>
                        <span class="brand-title text-left">
                           <?php echo e(config('app.name')); ?>

                        </span>
                    </a>
                </div>
            </div>
        <!--**********************************
            Nav header end
            ***********************************-->

        <!--**********************************
            Header start
            ***********************************-->
            <?php echo $__env->make('layouts/backend/partials/header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!--**********************************
            Header end ti-comment-alt
            ***********************************-->

        <!--**********************************
            Sidebar start
            ***********************************-->
            <?php echo $__env->make('layouts/backend/partials/sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!--**********************************
            Sidebar end
            ***********************************-->

        <!--**********************************
            Content body start
            ***********************************-->
            <div class="content-body">

                <div class="row page-titles mx-0">
                    <div class="col p-md-0">
                        <ol class="breadcrumb">

                            <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></li>
                         <?php if(Request::segment(2) != 'dashboard'): ?>   
                        <li class="breadcrumb-item active"><?php echo e(Request::segment(2)); ?></li>
                        <?php endif; ?>
                        <?php if( Request::segment(3) != null): ?>
                         <li class="breadcrumb-item active"><?php echo e(Request::segment(4)); ?></li>
                         <?php endif; ?>
                        </ol>
                    </div>
                </div>
                <!-- row -->

                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body"> <?php echo $__env->yieldContent('content'); ?></div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- #/ container -->
            </div>
        <!--**********************************
            Content body end
            ***********************************-->


        <!--**********************************
            Footer start
            ***********************************-->
            <div class="footer">
                <div class="copyright">
                    <p>© <?php echo e(date('Y')); ?> <?php echo e(config('app.name')); ?> -  <?php echo e(__('v 2.0')); ?></p>
                </div>
            </div>
        <!--**********************************
            Footer end
            ***********************************-->
        </div>
    <!--**********************************
        Main wrapper end
        ***********************************-->

    <!--**********************************
        Scripts
        ***********************************-->
        <script src="<?php echo e(asset('admin/plugins/common/common.min.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/custom.min.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/settings.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/gleek.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/styleSwitcher.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/bootbox.min.js')); ?>"></script>
        <script src="<?php echo e(asset('admin/js/toastr.min.js')); ?>"></script>
        <?php echo $__env->yieldContent('script'); ?>
        <?php if(Session::has('message')): ?>
        <script>

          var type = "<?php echo e(Session::get('alert-type', 'info')); ?>";
          switch(type){
            case 'info':
            toastr.info("<?php echo e(Session::get('message')); ?>");
            break;

            case 'warning':
            toastr.warning("<?php echo e(Session::get('message')); ?>");
            break;

            case 'success':
            toastr.success("<?php echo e(Session::get('message')); ?>");
            break;

            case 'error':
            toastr.error("<?php echo e(Session::get('message')); ?>");
            break;
        }
    </script>
    <?php endif; ?>
</body>

</html><?php /**PATH C:\xampp\htdocs\Chatbot\script\resources\views/layouts/backend/app.blade.php ENDPATH**/ ?>