<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="icon" href="<?php echo e(asset($settings->favicon)); ?>" type="image/ico" sizes="16x16">
    <?php echo SEO::generate(); ?>

    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset($settings->favicon)); ?>">

    <!-- css here -->
    
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/fontawesome-all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/animate-heading.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/magnific-popup.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/meanmenu.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/default.css')); ?>">
    <?php if($settings->ui==1): ?>
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/dark.css')); ?>">
    <?php else: ?>
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/style.css')); ?>">
    <?php endif; ?>

    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/responsive.css')); ?>">

    <?php echo App\Script::first()->css; ?>

    
</head>
<body>
   <!-- preloader area start -->
   <div class="loading"></div>
   <!-- preloader area end -->
   <!-- headear area start -->
   <div id="app">
    <header id="home">
        <div class="header-area">
            <div class="container">
                <div class="row">
                    <div class="col-lg-2 align-items-center">
                        <div class="logo">
                            <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(asset($settings->logo)); ?>" alt=""></a>
                        </div>
                    </div>
                    <div class="col-lg-10">
                        <div class="header-btn f-right">
                            <a href="<?php echo e($settings->hire_link); ?>" class="btn">Hire Me Now</a>
                        </div>
                        <div class="main-menu f-right">
                            <nav id="mobile-menu">
                                <ul>
                                    <li class="active"><a href="#home">Home</a></li>
                                    <li><a href="#about">About</a></li>
                                    <li><a href="#service">Service</a></li>
                                    <li><a href="#portfolio">Portfolio</a></li>
                                    <li><a href="#blog">Blog</a></li>
                                    <li><a href="#contact">Contact</a></li>
                                </ul>
                            </nav>
                        </div>
                        <div class="mobile-menu"></div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- headear area end -->
    <!-- hero area start -->
    <section>
        <div class="hero-area" style="background-image: url(<?php echo e(asset($settings->home_img)); ?>)">
            <div id="particles-js"></div>
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div>
                            <div class="hero-content text-center">
                                <div class="typing-head">
                                    <h3>I Am</h3>
                                </div>
                                <div class="hero-loading-content">
                                    <h1 class="cd-headline clip is-full-width">
                                        <span class="cd-words-wrapper">
                                            
                                            <?php $__currentLoopData = App\Tagline::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key =>  $tagline): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    
                                            <b <?php if($key == 0): ?> class="is-visible" <?php endif; ?>><?php echo e($tagline->tag_line); ?></b>
                                            
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </span>
                                    </h1>
                                </div>
                                <div class="hero-social-link">

                                 <?php $__currentLoopData = App\Social::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                                 <a href="<?php echo e($social->link); ?>" target="_blank"><i class="<?php echo e($social->icon); ?>"></i></a>
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                             </div>
                         </div>
                         <a href="#about">
                            <div class="animation-mouse">
                                <div class="mouse"></div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- hero area end -->

<!-- about area start -->
<section id="about">
    <div class="about-area pt-100">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 valign">
                    <div class="content mb-50">
                        <div class="section-head text-left mb-30">
                            <h1>About <span>ME</span></h1>
                            <span class="span"></span>
                        </div>
                        <p><?php echo e(App\About::first()->description); ?></p>
                        <a href="<?php echo e(App\About::first()->cv); ?>" class="btn mt-30">Download C.V</a>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="about-hero-img">
                        <img data-tilt class="img-fluid" src="<?php echo e(asset(App\About::first()->image)); ?>" alt="<?php echo e(App\About::first()->image); ?>">
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="content mb-50">
                        <div class="skills-head-type">
                            <h1><?php echo e(__('My Skills.')); ?></h1>

                        </div>
                        <div class="skills-progress-bar">
                            <?php $__currentLoopData = App\Skill::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $skill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="single-progress-bar">
                                <div class="progressbar-label">
                                    <h5><?php echo e($skill->name); ?> <span class="f-right"><?php echo e($skill->percent); ?>%</span></h5>
                                    <div class="progress">
                                        <div class="progress-bar w-<?php echo e($skill->percent); ?>" role="progressbar" aria-valuenow="<?php echo e($skill->percent); ?>" aria-valuemin="0" aria-valuemax="100"></div>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- about area end -->

<!-- resume area start -->
<section>
    <div class="resume-area">
        <div class="resume-head-title text-center mb-40 pt-100">
            <div class="col-lg-6 mx-auto">
                <h1><?php echo e(__('My Expreince')); ?></h1>
               
            </div>
        </div>
        <div class="container">
            <div class="row">
                <?php $__currentLoopData = App\Exeperince::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exeperince): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-lg-6 mb-30">
                    <div class="single-resume">
                        <div class="single-resume-card">
                            <h3><?php echo e($exeperince->title); ?></h3>
                            <div class="expreience-band">
                                <i class="<?php echo e($exeperince->icon); ?>"></i>
                                <span><?php echo e($exeperince->date); ?></span>
                            </div>
                            <p><?php echo e($exeperince->description); ?></p>
                        </div>
                    </div>
                </div>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
</section>
<!-- resume area end -->

<!-- service area start -->
<section  id="service" class="pt-100">
    <div class="service-area">
        <div class="service-head-title text-center mb-40 pt-100">
            <div class="col-lg-6 mx-auto">
            <h1><?php echo e(__('My Service')); ?></h1>
            <p><?php echo e($settings->service_description); ?></p>
            </div>
        </div>
        <div class="service-main-content pb-70">
            <div class="container">
                <div class="row">
                    <?php $__currentLoopData = App\Service::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-4">
                        <div class="single-service text-center">
                            <div class="service-border">
                                <div class="service-img">
                                    <img class="img-fluid" src="<?php echo e(asset($service->icon)); ?>" alt="<?php echo e($service->icon); ?>">
                                </div>
                                <div class="service-content">
                                    <h4><?php echo e($service->title); ?></h4>
                                    <p><?php echo e($service->description); ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- service area end -->

<!-- portfolio area start -->
<section id="portfolio">
    <div class="portfolio-area pt-100">
        <div class="portfolio-head-title text-center mb-40">
            <div class="col-lg-6 mx-auto">
               <h1><?php echo e(__('My Works')); ?></h1>
               <p><?php echo e($settings->portfolio_description); ?></p>
           </div>
       </div>
       <div class="portfolio-main-area">
           <div class="container">
               <div class="">
                   <div class="text-center mx-auto mb-40">
                    <div class="portfolio-category">
                        <nav>
                            <ul>
                                <li class="active"><a href="#" data-filter="*">All</a></li>
                                <?php $__currentLoopData = App\Category::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="#" data-filter=".cat<?php echo e($category->id); ?>"><?php echo e($category->name); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </nav>
                    </div>
                </div>
                <div class="row grid portfolio-item">
                    <?php $__currentLoopData = App\Portfolio::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $portfolio): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-4 grid-item cat<?php echo e($portfolio->cat_id); ?> mb-30">
                        <div class="portfolio">
                         <div class="portfolio-img">
                            <img src="<?php echo e(asset($portfolio->image)); ?>" alt="<?php echo e($portfolio->image); ?>">
                        </div>
                        <div class="overlay">
                            <div class="hover-effect">
                                <div class="icon-hover">
                                    <span><a class="popup" href="<?php echo e($portfolio->image); ?>"><i class="fas fa-plus-circle"></i></a></span>
                                </div>
                                <div class="hover-content">

                                    <h1><?php echo e($portfolio->title); ?></h1>
                                </div>
                            </div>
                        </div>
                    </div>         
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>

</div>
</div>
</section>
<!-- portfolio area end -->

<!-- testimonials area start -->
<section id="testimonials" class="pt-65">
    <div class="testimonials-area">
        <div class="container">
            <div class="row owl-carousel">
                <?php $__currentLoopData = App\Testimonial::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $testimonial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-lg-10 mx-auto pt-100 pb-100">
                    <div class="testimonials-main-content text-center">
                        <div class="testi-description">
                            <p><?php echo e($testimonial->review); ?></p>
                        </div>
                        <div class="testi-profile">
                            <img  src="<?php echo e(asset($testimonial->avatar)); ?>" alt="<?php echo e($testimonial->avatar); ?>">
                        </div>
                        <div class="testi-author-name">
                            <h4><?php echo e($testimonial->name); ?></h4>
                            <small><?php echo e($testimonial->position); ?></small>
                        </div>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
</section>
<!-- testimonials area end -->





<!-- contact area start -->
<section id="contact">
    <div class="contact-area pt-100">
        <div class="contact-head-title text-center mb-40">
            <div class="col-lg-6 mx-auto">
               <h1>Contact Us</h1>
               <p><?php echo e($settings->contact_description); ?></p>
           </div>
       </div>
       <div class="container">
           <div class="row mt-5">
               <div class="col-lg-4">
                <div class="text-center">
                    <div class="single-contact-info">
                        <i class="fas fa-mobile-alt"></i>
                        <div class="info mt-3">
                            <h5>Call Us On</h5>
                            <p><?php echo e(App\Contact::first()->phone); ?></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="text-center">
                    <div class="single-contact-info">
                        <i class="far fa-envelope"></i>
                        <div class="info mt-3">
                            <h5>Email Us At</h5>
                            <p><?php echo e(App\Contact::first()->email); ?></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="text-center">
                    <div class="single-contact-info">
                        <i class="fas fa-map-marker-alt"></i>
                        <div class="info mt-3">
                            <h5>Visit Office</h5>
                            <p><?php echo e(App\Contact::first()->address); ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mt-5">
           <div class="col-lg-12">
            <p class="contact-msg text-center"></p>
            <div class="contact-form">
                <form action="<?php echo e(route('contact.store')); ?>" method="POST" id="contact">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <input type="text" id="name" class="form-control" placeholder="Your Name*" name="name">
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <input type="text" id="email" class="form-control" placeholder="Your Email*" name="email">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <input type="text" id="subject" class="form-control" placeholder="Your Subject..*" name="subject">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <textarea class="form-control" id="message" name="message" placeholder="Your Message.."></textarea>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn f-right">Send Message</button>
                </form>
                <div class="ajax-response"></div>
            </div>
        </div>
    </div>
</div>
</div>
</section>
<!-- contact area end -->
<!-- subscriber area start -->
<section id="subscriber" class="pt-100">
    <div class="subscriber-area">
        <div class="container pb-100 pt-100">
            <div class="row">
                <div class="col-lg-8 offset-lg-2 text-center">
                    <div class="subscriber-logo">
                        <span><i class="far fa-envelope-open"></i></span>
                    </div>
                    <div class="subscriber-content">
                        <h1><?php echo e(__('Get The latest Update by Email')); ?></h1>
                        <p><?php echo e($settings->subscribe_description); ?></p>
                    </div>
                </div>
                <div class="col-lg-6 offset-lg-3">
                    <div class="subscriber-form">
                        <form id="subscribe">
                            <div class="input-form">
                                <input type="text" name="email" id="subemail" placeholder="Enter your email here...">
                                
                                    <div class="input-group-append">
                                        <button class="btn" type="submit">Subscribe</button>
                                    </div>
                               
                            </div>
                        </form>
                        <p class="text-success text-center" id="response"></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- subscriber area end -->
<!-- footer area start -->
<footer>
    <div class="footer-area">
        <div class="container">
            <div class="row justify-content-center text-center">
                <div class="col-lg-12">
                    <div class="social-link">
                        <nav>
                            <ul>
                               <?php $__currentLoopData = App\Social::latest()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                               <li><a href="<?php echo e($social->link); ?>" target="_blank"><i class="<?php echo e($social->icon); ?>"></i></a></li>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                           </ul>
                       </nav>
                   </div>
                   <div class="footer-copyright">
                    <p><?php echo e(date('Y')); ?> ©  <a  href="<?php echo e(url('/')); ?>"><?php echo e(env('APP_NAME')); ?></a>.</p>
                </div>
            </div>
        </div>
    </div>
</div>
</footer>
<!-- footer area end -->


</div>


<!-- back to top -->
<a href="#home" class="back_top"> <i class="fas fa-angle-up"></i> </a>

<!-- js here -->

<script src="<?php echo e(asset('frontend/js/vendor/jquery-3.2.1.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/popper.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/animate-heading.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/particles.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/particles-custom.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/tilt.jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/jquery.nav.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/isotope.pkgd.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/imagesloaded.pkgd.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/jquery.magnific-popup.min.js')); ?>"></script>

<script src="<?php echo e(asset('frontend/js/owl.carousel.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/jquery.meanmenu.min.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/jquery.smoothscroll.js')); ?>"></script>
<script src="<?php echo e(asset('frontend/js/main.js')); ?>"></script>
<script type="text/javascript">
    $('#subscribe').submit(function(event) {
      event.preventDefault();  
     
            $.ajaxSetup({
                  headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                  }
            });
            $.ajax({
                  type: "POST",
                  url: "<?php echo e(route('subscibed')); ?>",
                  data:{
                        email: $('#subemail').val()
                  },
                  success: function(data)
                  {
                        // show response from the php script.
                        $('#response').html("Thanks For Subscribed Me");
                  }
                })
            .fail(function(error) {
              preloader.style.display = 'none';
              var err="<p class='text-white'>Please Enter Valid Url</p>";
              $('#response').html(err);
           })
    });
</script>
<?php echo App\Script::first()->js; ?>

</body>
</html>
<?php /**PATH C:\xampp\htdocs\Chatbot\resources\views/welcome.blade.php ENDPATH**/ ?>