<?php $__env->startSection('style'); ?>
<link href="<?php echo e(asset('admin/plugins/tables/css/datatable/dataTables.bootstrap4.min.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<h6 class="card-title"><?php echo e(__('Experience List')); ?> <button type="button" class="btn btn-primary float-right" data-toggle="modal" data-target="#basicModal"><?php echo e(__('Experience Create')); ?></button></h6>

<!-- Modal -->
<div class="modal fade" id="basicModal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title"><?php echo e(__('Experience Create')); ?></h5>
				<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<form method="post" action="<?php echo e(route('admin.experience.store')); ?>" enctype="multipart/form-data">
					<?php echo csrf_field(); ?>
					<div class="form-group">
						<label for="title"><?php echo e(__('Title')); ?></label>
						<input type="text" name="title" id="title"  class="form-control" required="">
					</div>
					<div class="form-group">
						<label for="date"><?php echo e(__('Date')); ?></label>
						<input type="text" name="date" class="form-control" required="">
					</div>
					<div class="form-group">
						<label for="icon"><?php echo e(__('Icon')); ?><a target="_blank" href="https://fontawesome.com/icons">(use fontawesome icon)</a></label>
						<input type="text" name="icon" class="form-control" required="">
					</div>
					<div class="form-group">
						<label for="description"><?php echo e(__('Description')); ?></label>
						<textarea name="description" rows="5" class="form-control" name="description" id="description"></textarea>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
					<button type="submit" class="btn btn-primary">Save</button>
				</form>
			</div>
		</div>
	</div>
</div>
<?php if($errors->any()): ?>
<div class="alert alert-danger">
	<ul>
		<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
		<li><?php echo e($error); ?></li>
		<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
	</ul>
</div>
<?php endif; ?>
<div class="table-responsive">
	<table class="table table-striped table-bordered zero-configuration text-center">
		<thead>
			<tr>
				<th>#</th>
				<th>Title</th>
				<th>Date</th>
				<th>Description</th>
				<th>Action</th>
			</tr>
		</thead>
		<tbody>
			<?php $__currentLoopData = $info; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<tr>
				<td><?php echo e($key+1); ?></td>
				<td><?php echo e($row->title); ?></td>
				<td><?php echo e($row->date); ?></td>
				<td><?php echo e(Str::limit($row->description,50)); ?></td>
				<td>
					<button type="button" class="btn btn-sm btn-success text-white" data-toggle="modal" data-target="#basicModal<?php echo e($key); ?>"><i class="fa fa-edit"></i> </button>
					<a href="<?php echo e(route('admin.expreinces.delete',$row->id)); ?>" class="btn btn-sm btn-danger" id="delete"><i class="fa fa-trash"></i></a>
				</td>

			</tr>
			<div class="modal fade" id="basicModal<?php echo e($key); ?>">
				<div class="modal-dialog" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title"><?php echo e(__('Edit Experience')); ?></h5>
							<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<form method="post" action="<?php echo e(route('admin.experience.update',$row->id)); ?>" enctype="multipart/form-data">
								<?php echo csrf_field(); ?>
								<?php echo method_field('PUT'); ?>
								<div class="form-group">
									<label for="title"><?php echo e(__('Title')); ?></label>
									<input type="text" name="title" id="title" value="<?php echo e($row->title); ?>"  class="form-control" required="">
								</div>
								<div class="form-group">
									<label for="date"><?php echo e(__('Date')); ?></label>
									<input type="text" name="date" class="form-control" value="<?php echo e($row->date); ?>" required="">
								</div>
								<div class="form-group">
									<label for="icon"><?php echo e(__('Icon')); ?><a target="_blank" href="https://fontawesome.com/icons">(use fontawesome icon)</a></label>
									<input type="text" name="icon" value="<?php echo e($row->icon); ?>" class="form-control" required="">
								</div>
								<div class="form-group">
									<label for="description"><?php echo e(__('Description')); ?></label>
									<textarea name="description" rows="5" class="form-control" name="description" id="description"><?php echo e($row->description); ?></textarea>
								</div>
							</div>
							<div class="modal-footer">
								<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
								<button type="submit" class="btn btn-primary">Save Changes</button>
							</form>
						</div>
					</div>
				</div>
			</div>
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		</tbody>
	</table>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('admin/plugins/tables/js/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/tables/js/datatable/dataTables.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/tables/js/datatable-init/datatable-basic.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.backend.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Chatbot\script\resources\views/admin/expreince.blade.php ENDPATH**/ ?>